Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 3731)
+++ plugins/simpleMenu/index.php	(revision 3874)
@@ -23,6 +23,6 @@
 
 # Liste des catégories
-$categories_label = array();
-$rs               = $core->blog->getCategories(array('post_type' => 'post'));
+$categories_label = [];
+$rs               = $core->blog->getCategories(['post_type' => 'post']);
 $categories_combo = dcAdminCombos::getCategoriesCombo($rs, false, true);
 $rs->moveStart();
@@ -33,11 +33,11 @@
 # Liste des langues utilisées
 $langs_combo = dcAdminCombos::getLangscombo(
-    $core->blog->getLangs(array('order' => 'asc'))
+    $core->blog->getLangs(['order' => 'asc'])
 );
 
 # Liste des mois d'archive
-$rs           = $core->blog->getDates(array('type' => 'month'));
+$rs           = $core->blog->getDates(['type' => 'month']);
 $months_combo = array_merge(
-    array(__('All months') => '-'),
+    [__('All months') => '-'],
     dcAdmincombos::getDatesCombo($rs)
 );
@@ -57,7 +57,7 @@
 
 # Liste des pages -- Doit être pris en charge plus tard par le plugin ?
-$pages_combo = array();
+$pages_combo = [];
 try {
-    $rs = $core->blog->getPosts(array('post_type' => 'page'));
+    $rs = $core->blog->getPosts(['post_type' => 'page']);
     while ($rs->fetch()) {
         $pages_combo[$rs->post_title] = $rs->getURL();
@@ -67,7 +67,7 @@
 
 # Liste des tags -- Doit être pris en charge plus tard par le plugin ?
-$tags_combo = array();
+$tags_combo = [];
 try {
-    $rs                         = $core->meta->getMetadata(array('meta_type' => 'tag'));
+    $rs                         = $core->meta->getMetadata(['meta_type' => 'tag']);
     $tags_combo[__('All tags')] = '-';
     while ($rs->fetch()) {
@@ -79,18 +79,18 @@
 # Liste des types d'item de menu
 $items         = new ArrayObject();
-$items['home'] = new ArrayObject(array(__('Home'), false));
+$items['home'] = new ArrayObject([__('Home'), false]);
 
 if (count($langs_combo) > 1) {
-    $items['lang'] = new ArrayObject(array(__('Language'), true));
+    $items['lang'] = new ArrayObject([__('Language'), true]);
 }
 if (count($categories_combo)) {
-    $items['category'] = new ArrayObject(array(__('Category'), true));
+    $items['category'] = new ArrayObject([__('Category'), true]);
 }
 if (count($months_combo) > 1) {
-    $items['archive'] = new ArrayObject(array(__('Archive'), true));
+    $items['archive'] = new ArrayObject([__('Archive'), true]);
 }
 if ($core->plugins->moduleExists('pages')) {
     if (count($pages_combo)) {
-        $items['pages'] = new ArrayObject(array(__('Page'), true));
+        $items['pages'] = new ArrayObject([__('Page'), true]);
     }
 
@@ -98,5 +98,5 @@
 if ($core->plugins->moduleExists('tags')) {
     if (count($tags_combo) > 1) {
-        $items['tags'] = new ArrayObject(array(__('Tags'), true));
+        $items['tags'] = new ArrayObject([__('Tags'), true]);
     }
 
@@ -104,10 +104,10 @@
 
 # --BEHAVIOR-- adminSimpleMenuAddType
-# Should add an item to $items[<id>] as an array(<label>,<optional step (true or false)>)
+# Should add an item to $items[<id>] as an [<label>,<optional step (true or false)>]
 $core->callBehavior('adminSimpleMenuAddType', $items);
 
-$items['special'] = new ArrayObject(array(__('User defined'), false));
-
-$items_combo = array();
+$items['special'] = new ArrayObject([__('User defined'), false]);
+
+$items_combo = [];
 foreach ($items as $k => $v) {
     $items_combo[$v[0]] = $k;
@@ -117,5 +117,5 @@
 $menu = $core->blog->settings->system->get('simpleMenu');
 if (!is_array($menu)) {
-    $menu = array();
+    $menu = [];
 }
 
@@ -227,5 +227,5 @@
                         # Should set if necessary $item_select_label (displayed on further admin step only)
                         $core->callBehavior('adminSimpleMenuBeforeEdit', $item_type, $item_select,
-                            array(&$item_label, &$item_descr, &$item_url, &$item_select_label));
+                            [&$item_label, &$item_descr, &$item_url, &$item_select_label]);
                         break;
                 }
@@ -236,10 +236,10 @@
                     if (($item_label != '') && ($item_url != '')) {
                         // Add new item menu in menu array
-                        $menu[] = array(
+                        $menu[] = [
                             'label'       => $item_label,
                             'descr'       => $item_descr,
                             'url'         => $item_url,
                             'targetBlank' => $item_targetBlank
-                        );
+                        ];
 
                         // Save menu in blog settings
@@ -269,13 +269,13 @@
                         $menu[$v]['label'] = '';
                     }
-                    $newmenu = array();
+                    $newmenu = [];
                     foreach ($menu as $k => $v) {
                         if ($v['label']) {
-                            $newmenu[] = array(
+                            $newmenu[] = [
                                 'label'       => $v['label'],
                                 'descr'       => $v['descr'],
                                 'url'         => $v['url'],
                                 'targetBlank' => $v['targetBlank']
-                            );
+                            ];
                         }
                     }
@@ -311,12 +311,12 @@
 
                 }
-                $newmenu = array();
+                $newmenu = [];
                 for ($i = 0; $i < count($_POST['items_label']); $i++) {
-                    $newmenu[] = array(
+                    $newmenu[] = [
                         'label'       => $_POST['items_label'][$i],
                         'descr'       => $_POST['items_descr'][$i],
                         'url'         => $_POST['items_url'][$i],
                         'targetBlank' => (empty($_POST['items_targetBlank' . $i])) ? false : true
-                    );
+                    ];
                 }
                 $menu = $newmenu;
@@ -334,5 +334,5 @@
 
         # Order menu items
-        $order = array();
+        $order = [];
         if (empty($_POST['im_order']) && !empty($_POST['order'])) {
             $order = $_POST['order'];
@@ -349,10 +349,10 @@
         if (!empty($_POST['updateaction']) && !empty($order)) {
             try {
-                $newmenu = array();
+                $newmenu = [];
                 foreach ($order as $i => $k) {
-                    $newmenu[] = array(
+                    $newmenu[] = [
                         'label' => $menu[$k]['label'],
                         'descr' => $menu[$k]['descr'],
-                        'url'   => $menu[$k]['url']);
+                        'url'   => $menu[$k]['url']];
                 }
                 $menu = $newmenu;
@@ -413,20 +413,20 @@
     }
     echo dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             $page_title                         => $p_url,
             __('Add item')                      => '',
             $step_label                         => ''
-        ),
-        array(
-            'hl_pos' => -2)
+        ],
+        [
+            'hl_pos' => -2]
     ) .
     dcPage::notices();
 } else {
     echo dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             $page_title                         => ''
-        )) .
+        ]) .
     dcPage::notices();
 }
@@ -488,8 +488,8 @@
             echo '<p class="field"><label for="item_label" class="classic required"><abbr title="' . __('Required field') . '">*</abbr> ' .
             __('Label of item menu:') . '</label>' .
-            form::field('item_label', 20, 255, array(
+            form::field('item_label', 20, 255, [
                 'default'    => $item_label,
                 'extra_html' => 'required placeholder="' . __('Label') . '"'
-            )) .
+            ]) .
                 '</p>';
             echo '<p class="field"><label for="item_descr" class="classic">' .
@@ -497,8 +497,8 @@
             echo '<p class="field"><label for="item_url" class="classic required"><abbr title="' . __('Required field') . '">*</abbr> ' .
             __('URL of item menu:') . '</label>' .
-            form::field('item_url', 40, 255, array(
+            form::field('item_url', 40, 255, [
                 'default'    => $item_url,
                 'extra_html' => 'required placeholder="' . __('URL') . '"'
-            )) .
+            ]) .
                 '</p>';
             echo form::hidden('item_type', $item_type) . form::hidden('item_select', $item_select);
@@ -567,15 +567,15 @@
             $count++;
             echo '<td class="handle minimal">' .
-            form::number(array('order[' . $i . ']'), array(
+            form::number(['order[' . $i . ']'], [
                 'min'        => 1,
                 'default'    => $count,
                 'class'      => 'position',
                 'extra_html' => 'title="' . sprintf(__('position of %s'), html::escapeHTML(__($m['label']))) . '"'
-            )) .
-            form::hidden(array('dynorder[]', 'dynorder-' . $i), $i) . '</td>';
-            echo '<td class="minimal">' . form::checkbox(array('items_selected[]', 'ims-' . $i), $i) . '</td>';
-            echo '<td class="nowrap" scope="row">' . form::field(array('items_label[]', 'iml-' . $i), '', 255, html::escapeHTML(__($m['label']))) . '</td>';
-            echo '<td class="nowrap">' . form::field(array('items_descr[]', 'imd-' . $i), '30', 255, html::escapeHTML(__($m['descr']))) . '</td>';
-            echo '<td class="nowrap">' . form::field(array('items_url[]', 'imu-' . $i), '30', 255, html::escapeHTML($m['url'])) . '</td>';
+            ]) .
+            form::hidden(['dynorder[]', 'dynorder-' . $i], $i) . '</td>';
+            echo '<td class="minimal">' . form::checkbox(['items_selected[]', 'ims-' . $i], $i) . '</td>';
+            echo '<td class="nowrap" scope="row">' . form::field(['items_label[]', 'iml-' . $i], '', 255, html::escapeHTML(__($m['label']))) . '</td>';
+            echo '<td class="nowrap">' . form::field(['items_descr[]', 'imd-' . $i], '30', 255, html::escapeHTML(__($m['descr']))) . '</td>';
+            echo '<td class="nowrap">' . form::field(['items_url[]', 'imu-' . $i], '30', 255, html::escapeHTML($m['url'])) . '</td>';
             echo '<td class="nowrap">' . form::checkbox('items_targetBlank' . $i, 'blank', $targetBlank) . '</td>';
         } else {
Index: plugins/simpleMenu/js/simplemenu.js
===================================================================
--- plugins/simpleMenu/js/simplemenu.js	(revision 3709)
+++ plugins/simpleMenu/js/simplemenu.js	(revision 3880)
@@ -16,5 +16,5 @@
   });
   $('#menuitems').submit(function() {
-    var order = [];
+    let order = [];
     $('#menuitemslist tr td input.position').each(function() {
       order.push(this.name.replace(/^order\[([^\]]+)\]$/, '$1'));
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 3731)
+++ plugins/tags/_admin.php	(revision 3874)
@@ -13,5 +13,5 @@
 
 $_menu['Blog']->addItem(__('Tags'),
-    $core->adminurl->get('admin.plugin.tags', array('m' => 'tags')),
+    $core->adminurl->get('admin.plugin.tags', ['m' => 'tags']),
     dcPage::getPF('tags/icon.png'),
     preg_match('/' . preg_quote($core->adminurl->get('admin.plugin.tags')) . '&m=tag(s|_posts)?(&.*)?$/', $_SERVER['REQUEST_URI']),
@@ -20,24 +20,24 @@
 require dirname(__FILE__) . '/_widgets.php';
 
-$core->addBehavior('adminPostFormItems', array('tagsBehaviors', 'tagsField'));
+$core->addBehavior('adminPostFormItems', ['tagsBehaviors', 'tagsField']);
 
-$core->addBehavior('adminAfterPostCreate', array('tagsBehaviors', 'setTags'));
-$core->addBehavior('adminAfterPostUpdate', array('tagsBehaviors', 'setTags'));
+$core->addBehavior('adminAfterPostCreate', ['tagsBehaviors', 'setTags']);
+$core->addBehavior('adminAfterPostUpdate', ['tagsBehaviors', 'setTags']);
 
-$core->addBehavior('adminPostHeaders', array('tagsBehaviors', 'postHeaders'));
+$core->addBehavior('adminPostHeaders', ['tagsBehaviors', 'postHeaders']);
 
-$core->addBehavior('adminPostsActionsPage', array('tagsBehaviors', 'adminPostsActionsPage'));
+$core->addBehavior('adminPostsActionsPage', ['tagsBehaviors', 'adminPostsActionsPage']);
 
-$core->addBehavior('adminPreferencesForm', array('tagsBehaviors', 'adminUserForm'));
-$core->addBehavior('adminBeforeUserOptionsUpdate', array('tagsBehaviors', 'setTagListFormat'));
+$core->addBehavior('adminPreferencesForm', ['tagsBehaviors', 'adminUserForm']);
+$core->addBehavior('adminBeforeUserOptionsUpdate', ['tagsBehaviors', 'setTagListFormat']);
 
-$core->addBehavior('adminUserForm', array('tagsBehaviors', 'adminUserForm'));
-$core->addBehavior('adminBeforeUserCreate', array('tagsBehaviors', 'setTagListFormat'));
-$core->addBehavior('adminBeforeUserUpdate', array('tagsBehaviors', 'setTagListFormat'));
+$core->addBehavior('adminUserForm', ['tagsBehaviors', 'adminUserForm']);
+$core->addBehavior('adminBeforeUserCreate', ['tagsBehaviors', 'setTagListFormat']);
+$core->addBehavior('adminBeforeUserUpdate', ['tagsBehaviors', 'setTagListFormat']);
 
-$core->addBehavior('adminDashboardFavorites', array('tagsBehaviors', 'dashboardFavorites'));
+$core->addBehavior('adminDashboardFavorites', ['tagsBehaviors', 'dashboardFavorites']);
 
-$core->addBehavior('adminPageHelpBlock', array('tagsBehaviors', 'adminPageHelpBlock'));
+$core->addBehavior('adminPageHelpBlock', ['tagsBehaviors', 'adminPageHelpBlock']);
 
-$core->addBehavior('adminPostEditor', array('tagsBehaviors', 'adminPostEditor'));
-$core->addBehavior('ckeditorExtraPlugins', array('tagsBehaviors', 'ckeditorExtraPlugins'));
+$core->addBehavior('adminPostEditor', ['tagsBehaviors', 'adminPostEditor']);
+$core->addBehavior('ckeditorExtraPlugins', ['tagsBehaviors', 'ckeditorExtraPlugins']);
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 3733)
+++ plugins/tags/_define.php	(revision 3874)
@@ -17,11 +17,11 @@
     "Olivier Meunier", // Author
     '1.5',             // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'priority'    => 1001, // Must be higher than dcLegacyEditor/dcCKEditor priority (ie 1000)
         'type'        => 'plugin',
-        'settings'    => array(
+        'settings'    => [
             'pref' => '#user-options.tags_prefs'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/tags/_prepend.php
===================================================================
--- plugins/tags/_prepend.php	(revision 3731)
+++ plugins/tags/_prepend.php	(revision 3874)
@@ -12,9 +12,9 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->url->register('tag', 'tag', '^tag/(.+)$', array('urlTags', 'tag'));
-$core->url->register('tags', 'tags', '^tags$', array('urlTags', 'tags'));
-$core->url->register('tag_feed', 'feed/tag', '^feed/tag/(.+)$', array('urlTags', 'tagFeed'));
+$core->url->register('tag', 'tag', '^tag/(.+)$', ['urlTags', 'tag']);
+$core->url->register('tags', 'tags', '^tags$', ['urlTags', 'tags']);
+$core->url->register('tag_feed', 'feed/tag', '^feed/tag/(.+)$', ['urlTags', 'tagFeed']);
 
 $__autoload['tagsBehaviors'] = dirname(__FILE__) . '/inc/tags.behaviors.php';
 
-$core->addBehavior('coreInitWikiPost', array('tagsBehaviors', 'coreInitWikiPost'));
+$core->addBehavior('coreInitWikiPost', ['tagsBehaviors', 'coreInitWikiPost']);
Index: plugins/tags/_public.php
===================================================================
--- plugins/tags/_public.php	(revision 3734)
+++ plugins/tags/_public.php	(revision 3874)
@@ -18,30 +18,30 @@
 require dirname(__FILE__) . '/_widgets.php';
 
-$core->tpl->addBlock('Tags', array('tplTags', 'Tags'));
-$core->tpl->addBlock('TagsHeader', array('tplTags', 'TagsHeader'));
-$core->tpl->addBlock('TagsFooter', array('tplTags', 'TagsFooter'));
-$core->tpl->addBlock('EntryTags', array('tplTags', 'EntryTags'));
-$core->tpl->addBlock('TagIf', array('tplTags', 'TagIf'));
-$core->tpl->addValue('TagID', array('tplTags', 'TagID'));
-$core->tpl->addValue('TagCount', array('tplTags', 'TagCount'));
-$core->tpl->addValue('TagPercent', array('tplTags', 'TagPercent'));
-$core->tpl->addValue('TagRoundPercent', array('tplTags', 'TagRoundPercent'));
-$core->tpl->addValue('TagURL', array('tplTags', 'TagURL'));
-$core->tpl->addValue('TagCloudURL', array('tplTags', 'TagCloudURL'));
-$core->tpl->addValue('TagFeedURL', array('tplTags', 'TagFeedURL'));
+$core->tpl->addBlock('Tags', ['tplTags', 'Tags']);
+$core->tpl->addBlock('TagsHeader', ['tplTags', 'TagsHeader']);
+$core->tpl->addBlock('TagsFooter', ['tplTags', 'TagsFooter']);
+$core->tpl->addBlock('EntryTags', ['tplTags', 'EntryTags']);
+$core->tpl->addBlock('TagIf', ['tplTags', 'TagIf']);
+$core->tpl->addValue('TagID', ['tplTags', 'TagID']);
+$core->tpl->addValue('TagCount', ['tplTags', 'TagCount']);
+$core->tpl->addValue('TagPercent', ['tplTags', 'TagPercent']);
+$core->tpl->addValue('TagRoundPercent', ['tplTags', 'TagRoundPercent']);
+$core->tpl->addValue('TagURL', ['tplTags', 'TagURL']);
+$core->tpl->addValue('TagCloudURL', ['tplTags', 'TagCloudURL']);
+$core->tpl->addValue('TagFeedURL', ['tplTags', 'TagFeedURL']);
 
 # Kept for backward compatibility (for now)
-$core->tpl->addBlock('MetaData', array('tplTags', 'Tags'));
-$core->tpl->addBlock('MetaDataHeader', array('tplTags', 'TagsHeader'));
-$core->tpl->addBlock('MetaDataFooter', array('tplTags', 'TagsFooter'));
-$core->tpl->addValue('MetaID', array('tplTags', 'TagID'));
-$core->tpl->addValue('MetaPercent', array('tplTags', 'TagPercent'));
-$core->tpl->addValue('MetaRoundPercent', array('tplTags', 'TagRoundPercent'));
-$core->tpl->addValue('MetaURL', array('tplTags', 'TagURL'));
-$core->tpl->addValue('MetaAllURL', array('tplTags', 'TagCloudURL'));
-$core->tpl->addBlock('EntryMetaData', array('tplTags', 'EntryTags'));
-
-$core->addBehavior('templateBeforeBlock', array('behaviorsTags', 'templateBeforeBlock'));
-$core->addBehavior('publicBeforeDocument', array('behaviorsTags', 'addTplPath'));
+$core->tpl->addBlock('MetaData', ['tplTags', 'Tags']);
+$core->tpl->addBlock('MetaDataHeader', ['tplTags', 'TagsHeader']);
+$core->tpl->addBlock('MetaDataFooter', ['tplTags', 'TagsFooter']);
+$core->tpl->addValue('MetaID', ['tplTags', 'TagID']);
+$core->tpl->addValue('MetaPercent', ['tplTags', 'TagPercent']);
+$core->tpl->addValue('MetaRoundPercent', ['tplTags', 'TagRoundPercent']);
+$core->tpl->addValue('MetaURL', ['tplTags', 'TagURL']);
+$core->tpl->addValue('MetaAllURL', ['tplTags', 'TagCloudURL']);
+$core->tpl->addBlock('EntryMetaData', ['tplTags', 'EntryTags']);
+
+$core->addBehavior('templateBeforeBlock', ['behaviorsTags', 'templateBeforeBlock']);
+$core->addBehavior('publicBeforeDocument', ['behaviorsTags', 'addTplPath']);
 
 class behaviorsTags
@@ -52,5 +52,5 @@
             return
             "<?php\n" .
-            "if (!isset(\$params)) { \$params = array(); }\n" .
+            "if (!isset(\$params)) { \$params = []; }\n" .
             "if (!isset(\$params['from'])) { \$params['from'] = ''; }\n" .
             "if (!isset(\$params['sql'])) { \$params['sql'] = ''; }\n" .
@@ -63,5 +63,5 @@
             return
                 '<?php if ($_ctx->exists("meta") && ($_ctx->meta->meta_type == "tag")) { ' .
-                "if (!isset(\$params)) { \$params = array(); }\n" .
+                "if (!isset(\$params)) { \$params = []; }\n" .
                 "if (!isset(\$params['from'])) { \$params['from'] = ''; }\n" .
                 "if (!isset(\$params['sql'])) { \$params['sql'] = ''; }\n" .
@@ -94,5 +94,5 @@
         $limit = isset($attr['limit']) ? (integer) $attr['limit'] : 'null';
 
-        $combo = array('meta_id_lower', 'count', 'latest', 'oldest');
+        $combo = ['meta_id_lower', 'count', 'latest', 'oldest'];
 
         $sortby = 'meta_id_lower';
@@ -108,8 +108,8 @@
         $res =
             "<?php\n" .
-            "\$_ctx->meta = \$core->meta->computeMetaStats(\$core->meta->getMetadata(array('meta_type'=>'"
+            "\$_ctx->meta = \$core->meta->computeMetaStats(\$core->meta->getMetadata(['meta_type'=>'"
             . $type . "','limit'=>" . $limit .
             ($sortby != 'meta_id_lower' ? ",'order'=>'" . $sortby . ' ' . ($order == 'asc' ? 'ASC' : 'DESC' ) . "'" : '')  .
-            "))); " .
+            "])); " .
             "\$_ctx->meta->sort('" . $sortby . "','" . $order . "'); " .
             '?>';
@@ -142,5 +142,5 @@
         $type = isset($attr['type']) ? addslashes($attr['type']) : 'tag';
 
-        $combo = array('meta_id_lower', 'count', 'latest', 'oldest');
+        $combo = ['meta_id_lower', 'count', 'latest', 'oldest'];
 
         $sortby = 'meta_id_lower';
@@ -169,5 +169,5 @@
     public static function TagIf($attr, $content)
     {
-        $if        = array();
+        $if        = [];
         $operateur = isset($attr['operator']) ? dcTemplate::getOperator($attr['operator']) : '&&';
 
@@ -245,5 +245,5 @@
         }
 
-        $combo = array('meta_id_lower', 'count', 'latest', 'oldest');
+        $combo = ['meta_id_lower', 'count', 'latest', 'oldest'];
 
         $sort = $w->sortby;
@@ -257,5 +257,5 @@
         }
 
-        $params = array('meta_type' => 'tag');
+        $params = ['meta_type' => 'tag'];
 
         if ($sort != 'meta_id_lower') {
@@ -329,7 +329,7 @@
 
             $GLOBALS['_ctx']->meta = $GLOBALS['core']->meta->computeMetaStats(
-                $GLOBALS['core']->meta->getMetadata(array(
+                $GLOBALS['core']->meta->getMetadata([
                     'meta_type' => 'tag',
-                    'meta_id'   => $m[1])));
+                    'meta_id'   => $m[1]]));
 
             if ($GLOBALS['_ctx']->meta->isEmpty()) {
@@ -350,7 +350,7 @@
 
             $GLOBALS['_ctx']->meta = $GLOBALS['core']->meta->computeMetaStats(
-                $GLOBALS['core']->meta->getMetadata(array(
+                $GLOBALS['core']->meta->getMetadata([
                     'meta_type' => 'tag',
-                    'meta_id'   => $args)));
+                    'meta_id'   => $args]));
 
             if ($GLOBALS['_ctx']->meta->isEmpty()) {
@@ -377,7 +377,7 @@
 
             $GLOBALS['_ctx']->meta = $GLOBALS['core']->meta->computeMetaStats(
-                $GLOBALS['core']->meta->getMetadata(array(
+                $GLOBALS['core']->meta->getMetadata([
                     'meta_type' => 'tag',
-                    'meta_id'   => $tag)));
+                    'meta_id'   => $tag]));
 
             if ($GLOBALS['_ctx']->meta->isEmpty()) {
Index: plugins/tags/_widgets.php
===================================================================
--- plugins/tags/_widgets.php	(revision 3733)
+++ plugins/tags/_widgets.php	(revision 3874)
@@ -12,6 +12,6 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('initWidgets', array('tagsWidgets', 'initWidgets'));
-$core->addBehavior('initDefaultWidgets', array('tagsWidgets', 'initDefaultWidgets'));
+$core->addBehavior('initWidgets', ['tagsWidgets', 'initWidgets']);
+$core->addBehavior('initDefaultWidgets', ['tagsWidgets', 'initDefaultWidgets']);
 
 class tagsWidgets
@@ -19,25 +19,25 @@
     public static function initWidgets($w)
     {
-        $combo = array(
+        $combo = [
             __('Tag name')       => 'meta_id_lower',
             __('Entries count')  => 'count',
             __('Newest entry')   => 'latest',
             __('Oldest entry')   => 'oldest'
-        );
+        ];
 
-        $w->create('tags', __('Tags'), array('tplTags', 'tagsWidget'), null, 'Tags cloud');
+        $w->create('tags', __('Tags'), ['tplTags', 'tagsWidget'], null, 'Tags cloud');
         $w->tags->setting('title', __('Title (optional)') . ' :', __('Tags'));
         $w->tags->setting('limit', __('Limit (empty means no limit):'), '20');
         $w->tags->setting('sortby', __('Order by:'), 'meta_id_lower', 'combo', $combo);
         $w->tags->setting('orderby', __('Sort:'), 'asc', 'combo',
-            array(__('Ascending') => 'asc', __('Descending') => 'desc')
+            [__('Ascending') => 'asc', __('Descending') => 'desc']
         );
         $w->tags->setting('alltagslinktitle', __('Link to all tags:'), __('All tags'));
         $w->tags->setting('homeonly', __('Display on:'), 0, 'combo',
-            array(
+            [
                 __('All pages')           => 0,
                 __('Home page only')      => 1,
                 __('Except on home page') => 2
-            )
+            ]
         );
         $w->tags->setting('content_only', __('Content only'), 0, 'check');
Index: plugins/tags/_xmlrpc.php
===================================================================
--- plugins/tags/_xmlrpc.php	(revision 3731)
+++ plugins/tags/_xmlrpc.php	(revision 3874)
@@ -12,7 +12,7 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('xmlrpcGetPostInfo', array('tagsXMLRPCbehaviors', 'getPostInfo'));
-$core->addBehavior('xmlrpcAfterNewPost', array('tagsXMLRPCbehaviors', 'editPost'));
-$core->addBehavior('xmlrpcAfterEditPost', array('tagsXMLRPCbehaviors', 'editPost'));
+$core->addBehavior('xmlrpcGetPostInfo', ['tagsXMLRPCbehaviors', 'getPostInfo']);
+$core->addBehavior('xmlrpcAfterNewPost', ['tagsXMLRPCbehaviors', 'editPost']);
+$core->addBehavior('xmlrpcAfterEditPost', ['tagsXMLRPCbehaviors', 'editPost']);
 
 class tagsXMLRPCbehaviors
@@ -22,9 +22,9 @@
         $res = &$res[0];
 
-        $rs = $x->core->meta->getMetadata(array(
+        $rs = $x->core->meta->getMetadata([
             'meta_type' => 'tag',
-            'post_id'   => $res['postid']));
+            'post_id'   => $res['postid']]);
 
-        $m = array();
+        $m = [];
         while ($rs->fetch()) {
             $m[] = $rs->meta_id;
Index: plugins/tags/inc/tags.behaviors.php
===================================================================
--- plugins/tags/inc/tags.behaviors.php	(revision 3731)
+++ plugins/tags/inc/tags.behaviors.php	(revision 3874)
@@ -13,5 +13,5 @@
 class tagsBehaviors
 {
-    public static function adminPostEditor($editor = '', $context = '', array $tags = array(), $syntax = '')
+    public static function adminPostEditor($editor = '', $context = '', array $tags = [], $syntax = '')
     {
         if (($editor != 'dcLegacyEditor' && $editor != 'dcCKEditor') || $context != 'post') {
@@ -45,9 +45,9 @@
             return;
         }
-        $extraPlugins[] = array(
+        $extraPlugins[] = [
             'name'   => 'dctags',
             'button' => 'dcTags',
             'url'    => DC_ADMIN_URL . 'index.php?pf=tags/js/ckeditor-tags-plugin.js'
-        );
+        ];
     }
 
@@ -69,16 +69,16 @@
     public static function dashboardFavorites($core, $favs)
     {
-        $favs->register('tags', array(
+        $favs->register('tags', [
             'title'       => __('Tags'),
-            'url'         => $core->adminurl->get('admin.plugin.tags', array('m' => 'tags')),
+            'url'         => $core->adminurl->get('admin.plugin.tags', ['m' => 'tags']),
             'small-icon'  => dcPage::getPF('tags/icon.png'),
             'large-icon'  => dcPage::getPF('tags/icon-big.png'),
             'permissions' => 'usage,contentadmin'
-        ));
+        ]);
     }
 
     public static function coreInitWikiPost($wiki2xhtml)
     {
-        $wiki2xhtml->registerFunction('url:tag', array('tagsBehaviors', 'wiki2xhtmlTag'));
+        $wiki2xhtml->registerFunction('url:tag', ['tagsBehaviors', 'wiki2xhtmlTag']);
     }
 
@@ -129,12 +129,12 @@
     {
         $ap->addAction(
-            array(__('Tags') => array(__('Add tags') => 'tags')),
-            array('tagsBehaviors', 'adminAddTags')
+            [__('Tags') => [__('Add tags') => 'tags']],
+            ['tagsBehaviors', 'adminAddTags']
         );
 
         if ($core->auth->check('delete,contentadmin', $core->blog->id)) {
             $ap->addAction(
-                array(__('Tags') => array(__('Remove tags') => 'tags_remove')),
-                array('tagsBehaviors', 'adminRemoveTags')
+                [__('Tags') => [__('Remove tags') => 'tags_remove']],
+                ['tagsBehaviors', 'adminRemoveTags']
             );
         }
@@ -149,8 +149,8 @@
             while ($posts->fetch()) {
                 # Get tags for post
-                $post_meta = $meta->getMetadata(array(
+                $post_meta = $meta->getMetadata([
                     'meta_type' => 'tag',
-                    'post_id'   => $posts->post_id));
-                $pm = array();
+                    'post_id'   => $posts->post_id]);
+                $pm = [];
                 while ($post_meta->fetch()) {
                     $pm[] = $post_meta->meta_id;
@@ -178,9 +178,9 @@
             $ap->beginPage(
                 dcPage::breadcrumb(
-                    array(
+                    [
                         html::escapeHTML($core->blog->name) => '',
                         __('Entries')                       => $ap->getRedirection(true),
                         __('Add tags to this selection')    => ''
-                    )),
+                    ]),
                 dcPage::jsMetaEditor() .
                 '<script type="text/javascript">' . "\n" .
@@ -211,5 +211,5 @@
             '</div>' .
             $core->formNonce() . $ap->getHiddenFields() .
-            form::hidden(array('action'), 'tags') .
+            form::hidden(['action'], 'tags') .
             '<p><input type="submit" value="' . __('Save') . '" ' .
                 'name="save_tags" /></p>' .
@@ -239,10 +239,10 @@
         } else {
             $meta = &$core->meta;
-            $tags = array();
+            $tags = [];
 
             foreach ($ap->getIDS() as $id) {
-                $post_tags = $meta->getMetadata(array(
+                $post_tags = $meta->getMetadata([
                     'meta_type' => 'tag',
-                    'post_id'   => (integer) $id))->toStatic()->rows();
+                    'post_id'   => (integer) $id])->toStatic()->rows();
                 foreach ($post_tags as $v) {
                     if (isset($tags[$v['meta_id']])) {
@@ -258,9 +258,9 @@
             $ap->beginPage(
                 dcPage::breadcrumb(
-                    array(
+                    [
                         html::escapeHTML($core->blog->name)            => '',
                         __('Entries')                                  => 'posts.php',
                         __('Remove selected tags from this selection') => ''
-                    )));
+                    ]));
             $posts_count = count($_POST['entries']);
 
@@ -276,5 +276,5 @@
                 }
                 echo '<p>' . sprintf($label,
-                    form::checkbox(array('meta_id[]'), html::escapeHTML($k)),
+                    form::checkbox(['meta_id[]'], html::escapeHTML($k)),
                     html::escapeHTML($k)) .
                     '</p>';
@@ -285,5 +285,5 @@
 
             $core->formNonce() . $ap->getHiddenFields() .
-            form::hidden(array('action'), 'tags_remove') .
+            form::hidden(['action'], 'tags_remove') .
                 '</p></div></form>';
             $ap->endPage();
@@ -328,8 +328,8 @@
             $opts = $args->options();
         } else {
-            $opts = array();
-        }
-
-        $combo                 = array();
+            $opts = [];
+        }
+
+        $combo                 = [];
         $combo[__('Short')]    = 'more';
         $combo[__('Extended')] = 'all';
